Cemu - Bug #359

Cemu crashes at every update process
06/01/2020 07:46 AM - hexaae

Status: Closed Start date: 06/01/2020
Priority: Normal

Assignee:

Category: General

API: GPU Vendor/Model:  GTX1070
Cemu Version: 1.6.X.X +

Description

Every time Cemu gets updated (requester with "Do you want to update? Yes...") it crashes during process and a report log is saved

in Reliablity Monitor, e.g.:

Descrizione
Percorso dell'applicazione che ha generato l'errore:  C:\Users\Luca\Cemu\Cemu.exe

Firma del problema

Nome evento problema: BEX64

Nome applicazione: Cemu.exe

Versione applicazione: 1.19.1.0

Timestamp applicazione: 5ebecf46

Nome modulo con errori: Cemu.exe

Versione modulo con errori: 1.19.1.0

Timestamp modulo con errori:  5ebecf46

Offset eccezione: 0000000000931549

Codice eccezione: ¢0000409

Dati eccezione: 0000000000000007

Versione SO: 10.0.18363.2.0.0.256.48

ID impostazioni locali: 1040

Informazioni aggiuntive 1: 2af9

Ulteriori informazioni 2: 2af936a6e153dce4a24a64d3595afc4f
Ulteriori informazioni 3: 71e9

Ulteriori informazioni 4: 71e96f0f8d3d73edb1a7e94c928fcad2

This is happening since 1.6.x.x at least.
The update is always successful anyway, besides the logged crash.

History

#1 - 06/01/2020 07:49 AM - hexaae
Another log:

Descrizione
Percorso dell'applicazione che ha generato I'errore:  C:\Users\Luca\Cemu\Cemu.exe

Firma del problema

Nome evento problema: BEX64

Nome applicazione: Cemu.exe

Versione applicazione: 1.19.0.0

Timestamp applicazione: 5eabeba?2

Nome modulo con errori: Cemu.exe

Versione modulo con errori: 1.19.0.0

Timestamp modulo con errori:  5eabeba2

Offset eccezione: 0000000000a3d7a9

Codice eccezione: ¢c0000409

Dati eccezione: 0000000000000007

Versione SO: 10.0.18363.2.0.0.256.48

ID impostazioni locali: 1040

Informazioni aggiuntive 1: 2af9

Ulteriori informazioni 2: 2af936a6e153dce4a24a64d3595afc4f
Ulteriori informazioni 3: 91aa

Ulteriori informazioni 4: 91aa76d44a0d6907654bb3002229402b
#2 - 06/01/2020 07:54 AM - hexaae
Windows 10 1909, Ita, UAC at max level, Cemu install location %USERPROFILE%\Cemu

#3 - 06/03/2020 09:18 PM - Zalnor

- Status changed from New to Closed

Can not replicate bug. Try a fresh cemu install, if it continues to not update correctly its safe to assume there is something wrong with your OS
installation.

#4 - 06/26/2020 09:46 PM - hexaae

Zalnor wrote:

Can not replicate bug. Try a fresh cemu install, if it continues to not update correctly its safe to assume there is something wrong with your OS
installation.

Ok, tried from a new fresh install in another location and it happened again, and always the same crash, just when | click "Restart" after it finished the
automatic update:

Descrizione
Percorso dell'applicazione che ha generato I'errore:  C:\Users\Luca\Desktop\cemu_1.19.2\Cemu.exe

Firma del problema

Nome evento problema: BEX64

Nome applicazione: Cemu.exe

Versione applicazione: 1.19.3.0

Timestamp applicazione: 5ee411fa

Nome modulo con errori: Cemu.exe

Versione modulo con errori: 1.19.3.0

Timestamp modulo con errori:  5ee411fa

Offset eccezione: 000000000095cd79

Codice eccezione: ¢c0000409

Dati eccezione: 0000000000000007

Versione SO: 10.0.19041.2.0.0.256.48

ID impostazioni locali: 1040

Informazioni aggiuntive 1: 24bd

Ulteriori informazioni 2: 24bdd1080e962db0f706d8184723d08c
Ulteriori informazioni 3: 0d5a

Ulteriori informazioni 4: 0d5ae533e9818ea0a7092{7841fb0980

| use the emulator in Italian language, maybe there's a bug triggered by a custom config (here is it
https://1drv.ms/u/s!ApMUGrOcuN39geZbK3GRIOD02au6rA?e=CmPaPq )

I'm sure it's a bug in CEMU update process, I'm an expert Windows user with a perfectly clean system without ANY issue who usually help others in
fixing the most obscure Windows bugs in many forums.

How can | help you with a more useful and detailed report of what's going on when | press "Restart" button after the update is complete to hunt this
bug?

#5 - 06/28/2020 10:09 AM - hexaae
Exception code: c0000409 = Stack buffer overflow.

#6 - 01/17/2021 01:57 PM - hexaae
Fixed and unreproducible anymore (current 1.22.4). Windows 10 20H2

05/11/2024 22


https://1drv.ms/u/s!ApMUGr0cuN39geZbK3GRlOD02au6rA?e=CmPaPg
http://www.tcpdf.org

